Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Evaluate the detail table of a report for the given elements.

Evaluate the detail table of a report for the given elements. Evaluate the details for an architecture report by a given report name. The resulting chart is a table. The resulting content in the table depends on the ACCEPT-LANGUAGE header: its first entry decides, without region and quality value (de-CH as de); German without a header or with an entry that names no language.

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/architectureReports/evaluate/details
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

Warehouse-Id

Query-Parameter
reportTypeArchitectureReportTypeerforderlich

Type of the report to evaluate

Erlaubt:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
Request-Body
erforderlichapplication/json

References from report evaluation

Array von RefId
typestringerforderlich
Antworten
200

Result of the report evaluation details as Chart

dataChartDataerforderlich
Eigenschaften anzeigen
typestringerforderlich
reportTypeArchitectureReportTypeerforderlich
Erlaubt:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
400

References is empty

string
403

Forbidden: evaluation not included in the edition

string
404

Warehouse or report type not found

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/architectureReports/evaluate/details?reportType=ArchitectureElementsWithInvalidRelationships' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "type": "string"
  }
]'
Antwort
{
  "data": {
    "type": "string"
  },
  "reportType": "ArchitectureElementsWithInvalidRelationships"
}